: Class HTTPRuntimeException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.http
Class HTTPRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.jigsaw.http.HTTPRuntimeException

public class HTTPRuntimeException
extends java.lang.RuntimeException

HTTP runtime exception. These exeptions should be thrown whenever as a programmer you encounter an abnormal situation. These exception are guaranted to be catched, and to only kill the client (if this makes sense) that triggered it.

See Also:
  Serialized Form

Constructor Summary
`HTTPRuntimeException(java.lang.Object o, java.lang.String mth, java.lang.String msg)` Create a new HTTPRuntime exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPRuntimeException

    public HTTPRuntimeException(java.lang.Object o,
                                java.lang.String mth,
                                java.lang.String msg)

  Create a new HTTPRuntime exception. This is the right way to throw runtime exceptions from the http server, since it is the one that is likely to provide most usefull informations.
  Parameters:
    `o` - The object were the error originated.
    `mth` - The method were the error originated.
    `msg` - An message explaining why this error occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD